<template>
  <div>
    <div>This is Profile!</div>

    <h4>Balance</h4>
    <strong>Current Amount of Tokens</strong>: <span id="TTBalance"></span> dMT<br/><br/>

    <div class="transferdMTs">
      <div class="transferItemsMargin">
        <h5>Transfer dMTs!</h5>
        <input type="text" class="form-control" id="TTTransferAddress" placeholder="Address" />
        <input type="text" class="form-control" id="TTTransferAmount" placeholder="Amount" />
        <button class="btn btn-primary" id="transferdMTButton" type="button">Transfer</button>
      </div>
    </div>

    <div class="transferdMTs" id="mintdMTs">
      <div class="transferItemsMargin">
        <h5>Mint 1000 More dMTs!</h5>
        <button class="btn btn-primary" id="mintButton" type="button">Mint</button>
    </div>
    </div>

    <div class="transferdMTs" id="distdMTs">
      <div class="transferItemsMargin">
        <h5>Distribute the tokens over all artists!</h5>
        <button class="btn btn-primary" id="distributeButton" type="button">Distribute musict tokens</button>
    </div>
    </div>

    <div class="transferdMTs" id="transferETHfordTs">
      <div class="transferItemsMargin">
        <h5>Calculate dMTs to Ether!</h5>
        <input type="text" class="form-control" id="amountOfDMTs" placeholder="Amount of dTs to buy" v-on:input="calculateEthPrice()" />
        <input type="text" class="form-control" id="priceEth" placeholder="Price in ETH" readonly/>
        <div>
          Send Ether to this Address to get musicTokens!
          <div id="contractAddress"></div>
        </div>
        <!--button class="btn" id="transferEthForDTButton" type="button">Transfer</button-->
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Profile',
  methods: {
    calculateEthPrice: function () {
      console.log("calculateEthPrice");
      var amountOfDTs = document.getElementById("amountOfDMTs").value;
      console.log("amountOfDTs: " + amountOfDTs);
      var ethPrice = amountOfDTs * 0.0025;
      var weiPrice = amountOfDTs * 0.0025 * 1000000000000000000;
      console.log("ethPrice: " + ethPrice);
      document.getElementById("priceEth").value = ethPrice;
    },
  },
  data() {
    return {
      msg: 'Welcome to Your Vue.js App',
    };
  },

  mounted () {

    $(document).ready(function(){
      $("#mintdMTs").hide();
      $("#distdMTs").hide();
    });


  },

};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h1, h2 {
  font-weight: normal;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}



.transferdMTs{
  margin: auto;
  margin-top: 50px;
  text-align: center;
  width: 50%;
  border-style: solid;
  border-width: 0.5px;
  border-color: black !important;
  border-radius: 20px !important;

}
.transferItemsMargin{
  margin: 7px;
}
#transferdMTButton {
  margin-top: 5px;
}
</style>
